/* Global Rules */
body {
    background-color: #fafafa;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Rubik', sans-serif;
    font-size: 16px;
}

i {
    color: #ffffff;
    cursor: pointer;
}

:root {
    --other-chat-color: hsl(276, 55%, 52%);
    --other-chat-bg: hsl(206, 6%, 79%);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
}

a {
    text-decoration: none;
}

ul {
    list-style: none;
}

/* End */
/* Home */
.home {
    min-height: 100vh;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow-x: hidden;
}

.home::before {
    content: '';
    position: absolute;
    left: -62px;
    top: 0;
    width: 500px;
    height: 85%;
    background-image: linear-gradient(to bottom, hsl(293, 100%, 63%), hsl(264, 100%, 61%));
    border-bottom-left-radius: 250px;
    border-bottom-right-radius: 250px;
}

.home::after {
    content: '';
    position: absolute;
    right: -62px;
    bottom: 0;
    width: 500px;
    height: 85%;
    background-color: hsl(270, 20%, 96%);
    border-top-left-radius: 250px;
    border-top-right-radius: 250px;
}

.home .content {
    display: flex;
    z-index: 99;
    align-items: center;
}

.home .content .mobile {
    width: 350px;
    border: solid 11px #ffffff;
    background-color: #F5F3F8;
    border-radius: 28px;
    box-shadow: 0 0 54px -21px #000000;
}

.title .con img {
    width: 50px;
    border-radius: 50%;
    border: solid 2px #ffffff;
    margin: 0 15px 0 10px;
}

.top .title {
    display: flex;
    align-items: center;
}

.title .con {
    display: flex;
}

.top {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 43px 12px 15px;
    background-image: linear-gradient(to left, hsl(293, 100%, 63%), hsl(264, 100%, 61%));
    border-top-left-radius: 21px;
    border-top-right-radius: 21px;
    border-bottom-right-radius: 10px;
    border-bottom-left-radius: 10px;
    position: relative;
    overflow: hidden;
}

.top::before {
    content: '';
    width: 60%;
    height: 58px;
    background-color: white;
    position: absolute;
    left: 50%;
    top: -30px;
    transform: translateX(-50%);
    border-radius: 30px;
}

.title .con .tex div {
    color: #ffffff;
}

.title .con .tex span {
    color: hsl(270, 7%, 64%);
    font-size: 13px;
}

.chats {
    margin: 15px 10px;
    font-size: 14.5px;
}

.chats .left-other div {
    color: var(--other-chat-color);
    background-color: var(--other-chat-bg);
    width: fit-content;
    padding: 10px;
    border-radius: 13px;
    border-bottom-left-radius: 5px;
}

.chats .left-other div:first-child {
    margin-bottom: 10px;
}

.chats .photos {
    display: flex;
    justify-content: flex-end;
    gap: 11px;
    margin: 20px 0;
}

.chats .photos img {
    max-width: 60px;
    border-radius: 14px;
    cursor: pointer;
}

.chats .my-ch div {
    background-color: #ffffff;
    color: #000000;
    padding: 10px;
    border-radius: 13px;
    border-bottom-right-radius: 5px;
}

.chats .my-ch div:first-child {
    margin-bottom: 10px;
}

.chats .my-ch {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.chats .left-other:not(:first-child) {
    margin: 20px 0 10px;
}

.check {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-image: linear-gradient(to right, hsl(293, 100%, 63%), hsl(264, 100%, 61%));
    width: 240px;
    padding: 18px;
    border-radius: 16px;
    color: #ffffff;
    border-bottom-left-radius: 5px;
    margin-top: 10px;
}

.check .lef {
    display: flex;
    align-items: center;
    gap: 9px;
}

.check .lef div {
    width: 18px;
    height: 18px;
    border-radius: 50%;
    background: transparent;
    border: solid 1px hsl(206, 6%, 79%);
    cursor: pointer;
}

.check .lef span {
    font-size: 13.5px;
}

.check>span {
    font-weight: bold;
    font-size: 16.5px;
}

.chats .t-massage {
    margin-top: 20px;
    width: 100%;
}

.chats .t-massage form {
    width: 100%;
    display: flex;
    align-items: center;
    position: relative;
}

.chats .t-massage form input {
    width: 100%;
    height: 44px;
    border-radius: 20px;
    border: none;
    background-color: #ffffff;
    padding: 20px;
    font-size: 15px;
    caret-color: hsl(276, 55%, 52%);
    color: hsl(276, 55%, 52%);
}

.chats .t-massage form input:focus {
    outline: none;
}

.chats .t-massage form input::placeholder {
    font-size: 15px;
}

.chats .t-massage form .i {
    position: absolute;
    right: 0;
    background-color: hsl(271, 36%, 24%);
    width: 35px;
    height: 35px;
    outline: solid 4px #FFF;
    border-radius: 50%;
    cursor: pointer;
}

.chats .t-massage form .i i {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.content>.text {
    margin-left: 140px;
}

.content>.text h1 {
    font-size: 50px;
    color: hsl(271, 36%, 24%);
}

.content>.text p {
    max-width: 500px;
    color: hsl(270, 7%, 64%);
    font-size: 18px;
    line-height: 1.7;
    margin-top: 25px;
}

.showImg {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 9999;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: rgb(0, 0, 0, 50%);
    display: none;
}

.showImg img {
    border-radius: 8px;
    position: absolute;
    width: 50%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.showImg i {
    color: #f00;
    font-size: 40px;
    position: absolute;
    right: 50px;
    top: 25px;
}

/* End */
@media (max-width: 992px) {
    .home .content {
        flex-direction: column;
        padding: 60px 15px;
    }

    .content>.text {
        margin: 0;
        margin-top: 75px;
        text-align: center;
    }
}

@media (max-width: 730px) {
    .home::before {
        left: calc(-300px / 2);
        width: 300px;
        height: 67%;
    }

    .home::after {
        right: calc(-300px / 2);
        width: 300px;
        height: 67%;
    }
}

@media (max-width: 375px) {
    .home .content {
        width: 100%;
    }
}

@media (max-width: 600px) {
    .showImg img {
        top: 30%;
        width: calc(100% - 20px);
    }
}

@media (max-width: 352px) {
    .content>.text h1 {
        font-size: 35px;
    }

    .home::before {
        height: 70%;
    }
}

@media (max-width: 413px) {
    .content>.text h1 {
        font-size: 39px;
    }
}

@media (max-width: 368px) {
    .home .content .mobile {
        width: 333px;
    }
}
